Galon Cloud
Galon API v1

/suppressions/{target}

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

DELETE /suppressions/{target}

Remove an address from the suppression list

Key created with the full_access permission (same rule as /domains). A complaint (complaint) cannot be removed.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
targetpathstring · requiredemail address or suppression identifier

Responses

StatusDescriptionBody
200Address removedobject
404Not found in this projectError
409A complaint cannot be removedError
401Key missing or invalidError

Examples

curl

curl -X DELETE "$GALON_API_BASE/suppressions/<target>" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.suppressions.remove("<id>");

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.suppressions.remove("<id>")